Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8191562

Missing include in gcArguments.cpp breaks minimal JVM build

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 10
    • Component/s: hotspot
    • Labels:
      None
    • Subcomponent:
      gc
    • Resolved In Build:
      b34
    • CPU:
      generic
    • OS:
      generic

      Description

      can't build the MinimalVM in JPRT because the UNSUPPORTED_OPTION macro is only locally defined in arguments.cpp, but is now used in gcArguments.cpp:

      /opt/jprt/T/P1/003543.daholme/s/open/src/hotspot/share/gc/shared/gcArguments.cpp:77:29: error: 'UNSUPPORTED_OPTION' was not declared in this scope
         UNSUPPORTED_OPTION(UseG1GC);
                                   ^
      make[3]: *** [/opt/jprt/T/P1/003543.daholme/s/build/linux-x86-debug/hotspot/variant-minimal/libjvm/objs/gcArguments.o] Error 1

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rkennke Roman Kennke
                Reporter:
                rkennke Roman Kennke
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: